Subject: [bug#63140] GNU Smalltalk test suite failure with lightning 2.2.2

From: Andy Tai <[email-masked]>
Date: Sun, 21 May 2023 21:00:31 -0700

Additional info:

it seems this GNU Smalltalk has the same problem with GNU Lightning
2.2.1, 2.2.0 and 2.1.4   what I have tried so far)

On Sat, May 20, 2023 at 9:34 PM Andy Tai <[email-masked]> wrote:
>
> Hi, this is regarding GNU Smalltalk test suite failure when building
> with GNU Lightning at 2.2.2
>
> Context: I was trying to upgrade lightning package in GNU Guix to 2.2.2.
>
> GNU Guix is a source based GNU/Linux distribution so the way it works
> is that it runs the test suites of packages included in it as part of
> process ofm upgrading package receipts.   In the build check it was
> discovered that GNU Smalltalk will fail in test suites when lightning
> is upgraded to 2.2.2.
>
> I am trying to report this to GNU Smalltalk but it has no bug tracker
> and it mailing list is not very active; I am still waiting for
> subscribing to the mailing list.
>
> In any case, it seems GNU Smalltalk uses lightning. With this issue I
> cannot tell if it is a bug in GNU Smalltalk or GNU Lightning  So I
> will bring it up here first.
> with GNU Lightning at 2.2.2, then building GNU Smalltalk:
> key parts of log:
>
> Basic packages.
>
>  44: SUnit                                           ok
>  45: Parser                                          ok
>
> ANSI compliancy tests.
>
>  46: ArrayANSITest                                   FAILED (testsuite.at:82)
>  47: ArrayFactoryANSITest                            FAILED (testsuite.at:83)
>  48: BagANSITest                                     FAILED (testsuite.at:84)
>  49: BagFactoryANSITest                              FAILED (testsuite.at:85)
>  50: BooleanANSITest                                 FAILED (testsuite.at:86)
>  51: ByteArrayANSITest                               FAILED (testsuite.at:87)
>  52: ByteArrayFactoryANSITest                        FAILED (testsuite.at:88)
> ....
>
>   complete build log (gzipped) as attachment

-- 
Andy Tai, [email-masked], Skype: licheng.tai, Line: andy_tai, WeChat: andytai1010
Year 2023 民國112年
自動的精神力是信仰與覺悟
自動的行為力是勞動與技能